vclpf
Prev | Orchestra Opcodes and Operators | Next

## vclpf

vclpf — Resonant 4pole linear lowpass filter

## Description

Vclpf is an digital implementation of a standard 4-pole linear analogue filter, similar to the Moog, Arp, and SSM2040/2044 filters, consisting of four identical 1-pole filters with a feedback (resonance or regeneration) path. Unlike the moogladder opcode, this filter does not have any non-linearities, but its implementation preserves the analogue filter topology. The code is based on the work of Federico Fontana, described in the paper "PRESERVING THE STRUCTURE OF THE MOOG VCF IN THE DIGITAL DOMAIN" (Proceedings of ICMC 2007).

## Syntax

    asig vclpf ain, xcf, xres[, istor]

## Initialization

istor --initial disposition of internal data space. Since filtering incorporates a feedback loop of previous output, the initial status of the storage space used is significant. A zero value will clear the space; a non-zero value will allow previous information to remain. The default value is 0.

## Performance

asig -- input signal.

xcf -- filter cutoff frequency (a- or k-rate)

xres -- resonance, between 0 and 1. Higher values will make the filter self-oscillate (a- or k-rate).

## Examples

Here is an example of the vclpf opcode. It uses the file vclpf.csd.

Example 1160. Example of the vclpf opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    -odac -d
    </CsOptions>
    <CsInstruments>

    0dbfs = 1

    instr 1

    a1 rand p4
    af expon 20,p3,20000
    a2 vclpf a1,af, 0.7
     out a2

    endin

    </CsInstruments>
    <CsScore>
    i1 0 5 0.1
    </CsScore>
    </CsoundSynthesizer>

## Credits

Author: Victor Lazzarini
Feb 2021

Prev | Up | Next
vcella | Home | vco